ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 822 by gezelter, Mon Oct 27 16:20:59 2003 UTC vs.
Revision 840 by gezelter, Wed Oct 29 14:29:12 2003 UTC

# Line 311 | Line 311 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
311   # include <unistd.h>
312   #endif"
313  
314 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR F90LIBS F90_FUNC F90_FUNC_ mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL MPI_F90_MODS MPIMODLIBNAME BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
314 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL MPI_F90_MODS MPIMODLIBNAME BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315   ac_subst_files=''
316  
317   # Initialize some variables set by options.
# Line 1828 | Line 1828 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1828  
1829  
1830  
1831 +
1832 +
1833 +
1834 +
1835 +
1836 +
1837 +
1838 +
1839   # set program name
1840   PROGNAME="oopse"
1841  
# Line 2557 | Line 2565 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
2565   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2566   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2567   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2568 +
2569  
2570   ac_ext=cc
2571   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 2878 | Line 2887 | ac_ext=f90
2887   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2888   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2889  
2890 + OOPSE_TEMPLATE_FLAGS=""
2891 + if test $ac_cv_cxx_compiler_gnu = no; then
2892 +  echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -ptused -no_prelink" >&5
2893 + echo $ECHO_N "checking checking whether ${CXX} accepts -ptused -no_prelink... $ECHO_C" >&6
2894 +  echo 'void f(){}' > conftest.cc
2895 +  if test -z "`${CXX} -ptused -no_prelink -c conftest.cc 2>&1`"; then
2896 +    echo "$as_me:$LINENO: result: yes" >&5
2897 + echo "${ECHO_T}yes" >&6
2898 +    OOPSE_TEMPLATE_FLAGS="-ptused -no_prelink"
2899 +  else
2900 +    echo "$as_me:$LINENO: result: no" >&5
2901 + echo "${ECHO_T}no" >&6
2902 +  fi
2903 +  rm -f conftest*
2904 +  echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -instances=static" >&5
2905 + echo $ECHO_N "checking checking whether ${CXX} accepts -instances=static... $ECHO_C" >&6
2906 +  echo 'void f(){}' > conftest.cc
2907 +  if test -z "`${CXX} -instances=static -c conftest.cc 2>&1`"; then
2908 +    echo "$as_me:$LINENO: result: yes" >&5
2909 + echo "${ECHO_T}yes" >&6
2910 +    OOPSE_TEMPLATE_FLAGS="-instances=static"
2911 +  else
2912 +    echo "$as_me:$LINENO: result: no" >&5
2913 + echo "${ECHO_T}no" >&6
2914 +  fi
2915 +  rm -f conftest*
2916 +  echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -pto" >&5
2917 + echo $ECHO_N "checking checking whether ${CXX} accepts -pto... $ECHO_C" >&6
2918 +  echo 'void f(){}' > conftest.cc
2919 +  if test -z "`${CXX} -pto -c conftest.cc 2>&1`"; then
2920 +    echo "$as_me:$LINENO: result: yes" >&5
2921 + echo "${ECHO_T}yes" >&6
2922 +    OOPSE_TEMPLATE_FLAGS="-pto"
2923 +  else
2924 +    echo "$as_me:$LINENO: result: no" >&5
2925 + echo "${ECHO_T}no" >&6
2926 +  fi
2927 +  rm -f conftest*
2928 +  echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -LANG:std" >&5
2929 + echo $ECHO_N "checking checking whether ${CXX} accepts -LANG:std... $ECHO_C" >&6
2930 +  echo 'void f(){}' > conftest.cc
2931 +  if test -z "`${CXX} -LANG:std -c conftest.cc 2>&1`"; then
2932 +    echo "$as_me:$LINENO: result: yes" >&5
2933 + echo "${ECHO_T}yes" >&6
2934 +    EXTRA_CC_FLAG=${EXTRA_CC_FLAG}" -LANG:std"
2935 +  else
2936 +    echo "$as_me:$LINENO: result: no" >&5
2937 + echo "${ECHO_T}no" >&6
2938 +  fi
2939 + fi
2940 +
2941 +
2942 +
2943 +
2944   ac_ext=f90
2945   ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
2946   ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
# Line 3237 | Line 3300 | echo "$as_me: error: Can't figure out working Fortran9
3300      { { echo "$as_me:$LINENO: error: Can't figure out working Fortran90 preprocessor define flag" >&5
3301   echo "$as_me: error: Can't figure out working Fortran90 preprocessor define flag" >&2;}
3302     { (exit 1); exit 1; }; }
3303 +  fi
3304 + fi
3305 +
3306 + ac_ext=f90
3307 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3308 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3309 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3310 +
3311 +
3312 +
3313 + ac_ext=f90
3314 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3315 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3316 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3317 + echo "$as_me:$LINENO: checking how to get verbose linking output from $F90" >&5
3318 + echo $ECHO_N "checking how to get verbose linking output from $F90... $ECHO_C" >&6
3319 + if test "${ac_cv_prog_f90_v+set}" = set; then
3320 +  echo $ECHO_N "(cached) $ECHO_C" >&6
3321 + else
3322 +
3323 + cat >conftest.$ac_ext <<_ACEOF
3324 +
3325 + program main
3326 +
3327 +
3328 + end program main
3329 +
3330 + _ACEOF
3331 + rm -f conftest.$ac_objext
3332 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3333 +  (eval $ac_compile) 2>&5
3334 +  ac_status=$?
3335 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3336 +  (exit $ac_status); } &&
3337 +         { ac_try='test -s conftest.$ac_objext'
3338 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3339 +  (eval $ac_try) 2>&5
3340 +  ac_status=$?
3341 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3342 +  (exit $ac_status); }; }; then
3343 +  ac_cv_prog_f90_v=
3344 + # Try some options frequently used verbose output
3345 + for ac_verb in -v -verbose --verbose -V -\#\#\#; do
3346 +  ac_ext=f90
3347 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3348 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3349 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3350 +
3351 + cat >conftest.$ac_ext <<_ACEOF
3352 +
3353 + program main
3354 +
3355 +
3356 + end program main
3357 +
3358 + _ACEOF
3359 +
3360 + # Compile and link our simple test program by passing a flag (argument
3361 + # 1 to this macro) to the Fortran 90 compiler in order to get
3362 + # "verbose" output that we can then parse for the Fortran 90 linker
3363 + # flags.
3364 + ac_save_F90FLAGS=$F90FLAGS
3365 + F90FLAGS="$F90FLAGS $ac_verb"
3366 +
3367 + (eval echo $as_me:3367: \"$ac_link\") >&5
3368 + ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3369 + echo "$ac_f90_v_output" >&5
3370 + F90FLAGS=$ac_save_F90FLAGS
3371 +
3372 + rm -f conftest.*
3373 + ac_ext=f90
3374 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3375 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3376 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3377 +
3378 + # If we are using xlf then replace all the commas with spaces.
3379 + if echo $ac_f90_v_output | grep xlfentry >/dev/null 2>&1; then
3380 +  ac_f90_v_output=`echo $ac_f90_v_output | sed 's/,/ /g'`
3381 + fi
3382 +
3383 + # If we are using Cray Fortran then delete quotes.
3384 + # Use "\"" instead of '"' for font-lock-mode.
3385 + # FIXME: a more general fix for quoted arguments with spaces?
3386 + if echo $ac_f90_v_output | grep cft90 >/dev/null 2>&1; then
3387 +  ac_f90_v_output=`echo $ac_f90_v_output | sed "s/\"//g"`
3388 + fi
3389 +  # look for -l* and *.a constructs in the output
3390 +  for ac_arg in $ac_f90_v_output; do
3391 +     case $ac_arg in
3392 +        [\\/]*.a | ?:[\\/]*.a | -[lLRu]*)
3393 +          ac_cv_prog_f90_v=$ac_verb
3394 +          break 2 ;;
3395 +     esac
3396 +  done
3397 + done
3398 + if test -z "$ac_cv_prog_f90_v"; then
3399 +   { echo "$as_me:$LINENO: WARNING: cannot determine how to obtain linking information from $F90" >&5
3400 + echo "$as_me: WARNING: cannot determine how to obtain linking information from $F90" >&2;}
3401 + fi
3402 + else
3403 +  echo "$as_me: failed program was:" >&5
3404 + sed 's/^/| /' conftest.$ac_ext >&5
3405 +
3406 + { echo "$as_me:$LINENO: WARNING: compilation failed" >&5
3407 + echo "$as_me: WARNING: compilation failed" >&2;}
3408 + fi
3409 + rm -f conftest.$ac_objext conftest.$ac_ext
3410 +
3411 + fi
3412 + echo "$as_me:$LINENO: result: $ac_cv_prog_f90_v" >&5
3413 + echo "${ECHO_T}$ac_cv_prog_f90_v" >&6
3414 + echo "$as_me:$LINENO: checking for Fortran 90 libraries" >&5
3415 + echo $ECHO_N "checking for Fortran 90 libraries... $ECHO_C" >&6
3416 + if test "${ac_cv_flibs+set}" = set; then
3417 +  echo $ECHO_N "(cached) $ECHO_C" >&6
3418 + else
3419 +  if test "x$F90LIBS" != "x"; then
3420 +  ac_cv_f90libs="$F90LIBS" # Let the user override the test.
3421 + else
3422 +
3423 + ac_ext=f90
3424 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3425 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3426 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3427 +
3428 + cat >conftest.$ac_ext <<_ACEOF
3429 +
3430 + program main
3431 +
3432 +
3433 + end program main
3434 +
3435 + _ACEOF
3436 +
3437 + # Compile and link our simple test program by passing a flag (argument
3438 + # 1 to this macro) to the Fortran 90 compiler in order to get
3439 + # "verbose" output that we can then parse for the Fortran 90 linker
3440 + # flags.
3441 + ac_save_F90FLAGS=$F90FLAGS
3442 + F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3443 +
3444 + (eval echo $as_me:3444: \"$ac_link\") >&5
3445 + ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3446 + echo "$ac_f90_v_output" >&5
3447 + F90FLAGS=$ac_save_F90FLAGS
3448 +
3449 + rm -f conftest.*
3450 + ac_ext=f90
3451 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3452 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3453 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3454 +
3455 + # If we are using xlf then replace all the commas with spaces.
3456 + if echo $ac_f90_v_output | grep xlfentry >/dev/null 2>&1; then
3457 +  ac_f90_v_output=`echo $ac_f90_v_output | sed 's/,/ /g'`
3458 + fi
3459 +
3460 + # If we are using Cray Fortran then delete quotes.
3461 + # Use "\"" instead of '"' for font-lock-mode.
3462 + # FIXME: a more general fix for quoted arguments with spaces?
3463 + if echo $ac_f90_v_output | grep cft90 >/dev/null 2>&1; then
3464 +  ac_f90_v_output=`echo $ac_f90_v_output | sed "s/\"//g"`
3465 + fi
3466 +
3467 + ac_cv_f90libs=
3468 +
3469 + # Save positional arguments (if any)
3470 + ac_save_positional="$@"
3471 +
3472 + set X $ac_f90_v_output
3473 + while test $# != 1; do
3474 +  shift
3475 +  ac_arg=$1
3476 +  case $ac_arg in
3477 +        [\\/]*.a | ?:[\\/]*.a)
3478 +            ac_exists=false
3479 +  for ac_i in $ac_cv_f90libs; do
3480 +    if test x"$ac_arg" = x"$ac_i"; then
3481 +      ac_exists=true
3482 +      break
3483 +    fi
3484 +  done
3485 +
3486 +  if test x"$ac_exists" = xtrue; then
3487 +  :
3488 + else
3489 +  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
3490 + fi
3491 +
3492 +          ;;
3493 +        -bI:*)
3494 +            ac_exists=false
3495 +  for ac_i in $ac_cv_f90libs; do
3496 +    if test x"$ac_arg" = x"$ac_i"; then
3497 +      ac_exists=true
3498 +      break
3499 +    fi
3500 +  done
3501 +
3502 +  if test x"$ac_exists" = xtrue; then
3503 +  :
3504 + else
3505 +  if test "$ac_compiler_gnu" = yes; then
3506 +  for ac_link_opt in $ac_arg; do
3507 +    ac_cv_f90libs="$ac_cv_f90libs -Xlinker $ac_link_opt"
3508 +  done
3509 + else
3510 +  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
3511 + fi
3512 + fi
3513 +
3514 +          ;;
3515 +          # Ignore these flags.
3516 +        -lang* | -lcrt0.o | -lc | -lgcc | -LANG:=*)
3517 +          ;;
3518 +        -lkernel32)
3519 +          test x"$CYGWIN" != xyes && ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
3520 +          ;;
3521 +        -[LRuY])
3522 +          # These flags, when seen by themselves, take an argument.
3523 +          # We remove the space between option and argument and re-iterate
3524 +          # unless we find an empty arg or a new option (starting with -)
3525 +          case $2 in
3526 +             "" | -*);;
3527 +             *)
3528 +                ac_arg="$ac_arg$2"
3529 +
3530 +                shift; shift
3531 +                set X $ac_arg "$@"
3532 +                ;;
3533 +          esac
3534 +          ;;
3535 +        -YP,*)
3536 +          for ac_j in `echo $ac_arg | sed -e 's/-YP,/-L/;s/:/ -L/g'`; do
3537 +              ac_exists=false
3538 +  for ac_i in $ac_cv_f90libs; do
3539 +    if test x"$ac_j" = x"$ac_i"; then
3540 +      ac_exists=true
3541 +      break
3542 +    fi
3543 +  done
3544 +
3545 +  if test x"$ac_exists" = xtrue; then
3546 +  :
3547 + else
3548 +  ac_arg="$ac_arg $ac_j"
3549 +                             ac_cv_f90libs="$ac_cv_f90libs $ac_j"
3550 + fi
3551 +
3552 +          done
3553 +          ;;
3554 +        -[lLR]*)
3555 +            ac_exists=false
3556 +  for ac_i in $ac_cv_f90libs; do
3557 +    if test x"$ac_arg" = x"$ac_i"; then
3558 +      ac_exists=true
3559 +      break
3560 +    fi
3561 +  done
3562 +
3563 +  if test x"$ac_exists" = xtrue; then
3564 +  :
3565 + else
3566 +  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
3567 + fi
3568 +
3569 +          ;;
3570 +          # Ignore everything else.
3571 +  esac
3572 + done
3573 + # restore positional arguments
3574 + set X $ac_save_positional; shift
3575 +
3576 + # We only consider "LD_RUN_PATH" on Solaris systems.  If this is seen,
3577 + # then we insist that the "run path" must be an absolute path (i.e. it
3578 + # must begin with a "/").
3579 + case `(uname -sr) 2>/dev/null` in
3580 +   "SunOS 5"*)
3581 +      ac_ld_run_path=`echo $ac_f90_v_output |
3582 +                        sed -n 's,^.*LD_RUN_PATH *= *\(/[^ ]*\).*$,-R\1,p'`
3583 +      test "x$ac_ld_run_path" != x &&
3584 +
3585 +        if test "$ac_compiler_gnu" = yes; then
3586 +  for ac_link_opt in $ac_ld_run_path; do
3587 +    ac_cv_f90libs="$ac_cv_f90libs -Xlinker $ac_link_opt"
3588 +  done
3589 + else
3590 +  ac_cv_f90libs="$ac_cv_f90libs $ac_ld_run_path"
3591 + fi
3592 +      ;;
3593 + esac
3594 + fi # test "x$F90LIBS" = "x"
3595 +
3596 + fi
3597 + echo "$as_me:$LINENO: result: $ac_cv_flibs" >&5
3598 + echo "${ECHO_T}$ac_cv_flibs" >&6
3599 + F90LIBS="$ac_cv_f90libs"
3600 +
3601 + ac_ext=f90
3602 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3603 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3604 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3605 +
3606 +
3607 + echo "$as_me:$LINENO: checking for Fortran 90 name-mangling scheme" >&5
3608 + echo $ECHO_N "checking for Fortran 90 name-mangling scheme... $ECHO_C" >&6
3609 + if test "${ac_cv_f90_mangling+set}" = set; then
3610 +  echo $ECHO_N "(cached) $ECHO_C" >&6
3611 + else
3612 +  ac_ext=f90
3613 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3614 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3615 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3616 + cat >conftest.$ac_ext <<_ACEOF
3617 + subroutine foobar()
3618 + return
3619 + end
3620 + subroutine foo_bar()
3621 + return
3622 + end
3623 + _ACEOF
3624 + rm -f conftest.$ac_objext
3625 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3626 +  (eval $ac_compile) 2>&5
3627 +  ac_status=$?
3628 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3629 +  (exit $ac_status); } &&
3630 +         { ac_try='test -s conftest.$ac_objext'
3631 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3632 +  (eval $ac_try) 2>&5
3633 +  ac_status=$?
3634 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3635 +  (exit $ac_status); }; }; then
3636 +  mv conftest.$ac_objext cf90_test.$ac_objext
3637 +
3638 +  ac_ext=c
3639 + ac_cpp='$CPP $CPPFLAGS'
3640 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3641 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3642 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
3643 +
3644 +  ac_save_LIBS=$LIBS
3645 +  LIBS="cf90_test.$ac_objext $F90LIBS $LIBS"
3646 +
3647 +  ac_success=no
3648 +  for ac_foobar in foobar FOOBAR; do
3649 +    for ac_underscore in "" "_"; do
3650 +      ac_func="$ac_foobar$ac_underscore"
3651 +      cat >conftest.$ac_ext <<_ACEOF
3652 + #line $LINENO "configure"
3653 + /* confdefs.h.  */
3654 + _ACEOF
3655 + cat confdefs.h >>conftest.$ac_ext
3656 + cat >>conftest.$ac_ext <<_ACEOF
3657 + /* end confdefs.h.  */
3658 +
3659 + /* Override any gcc2 internal prototype to avoid an error.  */
3660 + #ifdef __cplusplus
3661 + extern "C"
3662 + #endif
3663 + /* We use char because int might match the return type of a gcc2
3664 +   builtin and then its argument prototype would still apply.  */
3665 + char $ac_func ();
3666 + int
3667 + main ()
3668 + {
3669 + $ac_func ();
3670 +  ;
3671 +  return 0;
3672 + }
3673 + _ACEOF
3674 + rm -f conftest.$ac_objext conftest$ac_exeext
3675 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3676 +  (eval $ac_link) 2>&5
3677 +  ac_status=$?
3678 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3679 +  (exit $ac_status); } &&
3680 +         { ac_try='test -s conftest$ac_exeext'
3681 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3682 +  (eval $ac_try) 2>&5
3683 +  ac_status=$?
3684 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3685 +  (exit $ac_status); }; }; then
3686 +  ac_success=yes; break 2
3687 + else
3688 +  echo "$as_me: failed program was:" >&5
3689 + sed 's/^/| /' conftest.$ac_ext >&5
3690 +
3691 + fi
3692 + rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
3693 +    done
3694 +  done
3695 +
3696 +  if test "$ac_success" = "yes"; then
3697 +     case $ac_foobar in
3698 +        foobar)
3699 +           ac_case=lower
3700 +           ac_foo_bar=foo_bar
3701 +           ;;
3702 +        FOOBAR)
3703 +           ac_case=upper
3704 +           ac_foo_bar=FOO_BAR
3705 +           ;;
3706 +     esac
3707 +
3708 +     ac_success_extra=no
3709 +     for ac_extra in "" "_"; do
3710 +        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
3711 +
3712 +        cat >conftest.$ac_ext <<_ACEOF
3713 + #line $LINENO "configure"
3714 + /* confdefs.h.  */
3715 + _ACEOF
3716 + cat confdefs.h >>conftest.$ac_ext
3717 + cat >>conftest.$ac_ext <<_ACEOF
3718 + /* end confdefs.h.  */
3719 +
3720 + /* Override any gcc2 internal prototype to avoid an error.  */
3721 + #ifdef __cplusplus
3722 + extern "C"
3723 + #endif
3724 + /* We use char because int might match the return type of a gcc2
3725 +   builtin and then its argument prototype would still apply.  */
3726 + char $ac_func ();
3727 + int
3728 + main ()
3729 + {
3730 + $ac_func ();
3731 +  ;
3732 +  return 0;
3733 + }
3734 + _ACEOF
3735 + rm -f conftest.$ac_objext conftest$ac_exeext
3736 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3737 +  (eval $ac_link) 2>&5
3738 +  ac_status=$?
3739 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3740 +  (exit $ac_status); } &&
3741 +         { ac_try='test -s conftest$ac_exeext'
3742 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3743 +  (eval $ac_try) 2>&5
3744 +  ac_status=$?
3745 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3746 +  (exit $ac_status); }; }; then
3747 +  ac_success_extra=yes; break
3748 + else
3749 +  echo "$as_me: failed program was:" >&5
3750 + sed 's/^/| /' conftest.$ac_ext >&5
3751 +
3752 + fi
3753 + rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
3754 +     done
3755 +
3756 +     if test "$ac_success_extra" = "yes"; then
3757 +        ac_cv_f90_mangling="$ac_case case"
3758 +        if test -z "$ac_underscore"; then
3759 +           ac_cv_f90_mangling="$ac_cv_f90_mangling, no underscore"
3760 +        else
3761 +           ac_cv_f90_mangling="$ac_cv_f90_mangling, underscore"
3762 +
3763 +        fi
3764 +        if test -z "$ac_extra"; then
3765 +           ac_cv_f90_mangling="$ac_cv_f90_mangling, no extra underscore"
3766 +        else
3767 +           ac_cv_f90_mangling="$ac_cv_f90_mangling, extra underscore"
3768 +        fi
3769 +      else
3770 +        ac_cv_f90_mangling="unknown"
3771 +      fi
3772 +  else
3773 +     ac_cv_f90_mangling="unknown"
3774 +
3775    fi
3776 +
3777 +  LIBS=$ac_save_LIBS
3778 +  ac_ext=f90
3779 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3780 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3781 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3782 +  rm -f cf90_test* conftest*
3783 + else
3784 +  echo "$as_me: failed program was:" >&5
3785 + sed 's/^/| /' conftest.$ac_ext >&5
3786 +
3787   fi
3788 + rm -f conftest.$ac_objext conftest.$ac_ext
3789 + ac_ext=f90
3790 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3791 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3792 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3793  
3794 + fi
3795 + echo "$as_me:$LINENO: result: $ac_cv_f90_mangling" >&5
3796 + echo "${ECHO_T}$ac_cv_f90_mangling" >&6
3797  
3798 +
3799 +
3800 + case $ac_cv_f90_mangling in
3801 +  "lower case, no underscore, no extra underscore")
3802 +          cat >>confdefs.h <<\_ACEOF
3803 + #define F90_FUNC(name,NAME) name
3804 + _ACEOF
3805 +
3806 +          cat >>confdefs.h <<\_ACEOF
3807 + #define F90_FUNC_(name,NAME) name
3808 + _ACEOF
3809 + ;;
3810 +  "lower case, no underscore, extra underscore")
3811 +          cat >>confdefs.h <<\_ACEOF
3812 + #define F90_FUNC(name,NAME) name
3813 + _ACEOF
3814 +
3815 +          cat >>confdefs.h <<\_ACEOF
3816 + #define F90_FUNC_(name,NAME) name ## _
3817 + _ACEOF
3818 + ;;
3819 +  "lower case, underscore, no extra underscore")
3820 +          cat >>confdefs.h <<\_ACEOF
3821 + #define F90_FUNC(name,NAME) name ## _
3822 + _ACEOF
3823 +
3824 +          cat >>confdefs.h <<\_ACEOF
3825 + #define F90_FUNC_(name,NAME) name ## _
3826 + _ACEOF
3827 + ;;
3828 +  "lower case, underscore, extra underscore")
3829 +          cat >>confdefs.h <<\_ACEOF
3830 + #define F90_FUNC(name,NAME) name ## _
3831 + _ACEOF
3832 +
3833 +          cat >>confdefs.h <<\_ACEOF
3834 + #define F90_FUNC_(name,NAME) name ## __
3835 + _ACEOF
3836 + ;;
3837 +  "upper case, no underscore, no extra underscore")
3838 +          cat >>confdefs.h <<\_ACEOF
3839 + #define F90_FUNC(name,NAME) NAME
3840 + _ACEOF
3841 +
3842 +          cat >>confdefs.h <<\_ACEOF
3843 + #define F90_FUNC_(name,NAME) NAME
3844 + _ACEOF
3845 + ;;
3846 +  "upper case, no underscore, extra underscore")
3847 +          cat >>confdefs.h <<\_ACEOF
3848 + #define F90_FUNC(name,NAME) NAME
3849 + _ACEOF
3850 +
3851 +          cat >>confdefs.h <<\_ACEOF
3852 + #define F90_FUNC_(name,NAME) NAME ## _
3853 + _ACEOF
3854 + ;;
3855 +  "upper case, underscore, no extra underscore")
3856 +          cat >>confdefs.h <<\_ACEOF
3857 + #define F90_FUNC(name,NAME) NAME ## _
3858 + _ACEOF
3859 +
3860 +          cat >>confdefs.h <<\_ACEOF
3861 + #define F90_FUNC_(name,NAME) NAME ## _
3862 + _ACEOF
3863 + ;;
3864 +  "upper case, underscore, extra underscore")
3865 +          cat >>confdefs.h <<\_ACEOF
3866 + #define F90_FUNC(name,NAME) NAME ## _
3867 + _ACEOF
3868 +
3869 +          cat >>confdefs.h <<\_ACEOF
3870 + #define F90_FUNC_(name,NAME) NAME ## __
3871 + _ACEOF
3872 + ;;
3873 +  *)
3874 +          { echo "$as_me:$LINENO: WARNING: unknown Fortran 90 name-mangling scheme" >&5
3875 + echo "$as_me: WARNING: unknown Fortran 90 name-mangling scheme" >&2;}
3876 +          ;;
3877 + esac
3878 +
3879 +
3880 +
3881 +
3882 +
3883 + echo "$as_me:$LINENO: checking for module suffix" >&5
3884 + echo $ECHO_N "checking for module suffix... $ECHO_C" >&6
3885 + rm -f conftest*
3886 + # Intel ifc compiler generates files by the name of work.pc and work.pcl (!)
3887 + rm -f work*
3888 + cat >conftest.f90 <<EOF
3889 +        module conftest
3890 +        integer n
3891 +        parameter (n=1)
3892 +        end module conftest
3893 + EOF
3894 + # SGI and absoft compilers generates module name in upper case!
3895 + testname="conftest"
3896 + modcase="lower"
3897 + if $F90 -c conftest.f90 > conftest.out 2>&1 ; then
3898 +    MOD=`ls conftest* | grep -v conftest.f | grep -v conftest.o`
3899 +    MOD=`echo "$MOD" | sed -e 's/conftest\.//g'`
3900 +    if test -z "$MOD" ; then
3901 +        MOD=`ls CONFTEST* 2>/dev/null \
3902 +                | grep -v CONFTEST.f | grep -v CONFTEST.o`
3903 +        MOD=`echo "$MOD" | sed -e 's/CONFTEST\.//g'`
3904 +        if test -n "$MOD" ; then
3905 +            testname="CONFTEST"
3906 +            modcase="upper"
3907 +        fi
3908 +    fi
3909 +    if test -z "$MOD" ; then
3910 +        echo "$as_me:$LINENO: result: unknown" >&5
3911 + echo "${ECHO_T}unknown" >&6
3912 +        # Use mod if we can't figure it out
3913 +        MOD="mod"
3914 +    else
3915 +        echo "$as_me:$LINENO: result: $MOD" >&5
3916 + echo "${ECHO_T}$MOD" >&6
3917 +    fi
3918 +    if test -s work.pcl ; then
3919 +        { echo "$as_me:$LINENO: WARNING: Compiler generates auxillery files!" >&5
3920 + echo "$as_me: WARNING: Compiler generates auxillery files!" >&2;}
3921 +    fi
3922 + else
3923 +    echo "$as_me:$LINENO: result: unknown" >&5
3924 + echo "${ECHO_T}unknown" >&6
3925 + fi
3926 +
3927 +
3928 +
3929 +
3930 +
3931 + # Check for module include path (some use -I, some (Solaris) use -M, some
3932 + # (absoft) use -p).
3933 + # Intel compilers use a wierd system: -cl,filename.pcl .  If no file is
3934 + # specified, work.pcl and work.pc are created.  However, if you specify
3935 + # a file, it must contain a the name of a file ending in .pc .  Ugh!
3936 + # Use the module made above
3937 + echo "$as_me:$LINENO: checking for module directory path flag" >&5
3938 + echo $ECHO_N "checking for module directory path flag... $ECHO_C" >&6
3939 + rm -f conftest*
3940 + # Intel ifc compiler generates files by the name of work.pc and work.pcl (!)
3941 + rm -f work*
3942 + cat >conftest.f90 <<EOF
3943 +        module conftest
3944 +        integer n
3945 +        parameter (n=1)
3946 +        end module conftest
3947 + EOF
3948 + # SGI and absoft compilers generates module name in upper case!
3949 + testname="conftest"
3950 + if $F90 -c conftest.f90 > conftest.out 2>&1 ; then
3951 +   mod=`ls CONFTEST* 2>/dev/null | grep -v CONFTEST.f | grep -v CONFTEST.o`
3952 +   mod=`echo "$mod" | sed -e 's/CONFTEST\.//g'`
3953 +   if test -n "$mod" ; then
3954 +      testname="CONFTEST"
3955 +   fi
3956 +   madedir=0
3957 +   if test ! -d conf ; then mkdir conf ; madedir=1; fi
3958 +   cp $testname.$MOD conf
3959 +   rm -f conftest* CONFTEST*
3960 +   cat >conftest1.f90 <<EOF
3961 +        program main
3962 +        use conftest
3963 +        print *, n
3964 +        end
3965 + EOF
3966 +   F90_WORK_FILES_ARG=""
3967 +   F90MODINCSPEC=""
3968 +   if $F90 -c -Iconf conftest1.f90 > conftest.out 2>&1 ; then
3969 +       MODDIRFLAG="-I"
3970 +       F90MODINCSPEC="-I<dir>"
3971 +       echo "$as_me:$LINENO: result: -I" >&5
3972 + echo "${ECHO_T}-I" >&6
3973 +   elif $F90 -c -Mconf conftest1.f90 >> conftest.out 2>&1 ; then
3974 +       MODDIRFLAG="-M"
3975 +       F90MODINCSPEC="-M<dir>"
3976 +       echo "$as_me:$LINENO: result: -M" >&5
3977 + echo "${ECHO_T}-M" >&6
3978 +   elif $F90 -c -pconf conftest1.f90 >> conftest.out 2>&1 ; then
3979 +       MODDIRFLAG="-p"
3980 +       F90MODINCSPEC="-p<dir>"
3981 +       echo "$as_me:$LINENO: result: -p" >&5
3982 + echo "${ECHO_T}-p" >&6
3983 +   elif test -s work.pc ; then
3984 +        cp work.pc conf/mpimod.pc
3985 +        echo "mpimod.pc" > conf/mpimod.pcl
3986 +        echo "`pwd`/conf/mpimod.pc" >> conf/mpimod.pcl
3987 +        if $F90 -c -cl,conf/mpimod.pcl conftest1.f >>conftest.out 2>&1 ; then
3988 +            MODDIRFLAG='-cl,mpimod.pcl'
3989 +            echo "$as_me:$LINENO: result: -cl,filename where filename contains a list of files and directories" >&5
3990 + echo "${ECHO_T}-cl,filename where filename contains a list of files and directories" >&6
3991 +            F90_WORK_FILES_ARG="-cl,mpimod.pcl"
3992 +            F90MODINCSPEC="-cl,<dir>/<file>mod.pcl"
3993 +
3994 +        else
3995 +            # The version of the Intel compiler that I have refuses to let
3996 +            # you put the "work catalog" list anywhere but the current
3997 +            # directory. For example, you cannot in
3998 +         :
3999 +        fi
4000 +   fi
4001 +   if test -z "MODDIRFLAG" ; then
4002 +       echo "$as_me:$LINENO: result: unknown" >&5
4003 + echo "${ECHO_T}unknown" >&6
4004 +   fi
4005 +
4006 +
4007 +   rm -f conftest* conf/conftest* conf/CONFTEST* CONFTEST* conf/mpimod*
4008 +   if test $madedir = 1 ; then rmdir conf ; fi
4009 + fi
4010 +
4011 +
4012 +
4013 +
4014   case $debug in
4015    1)
4016       ;;
# Line 4107 | Line 4877 | if test x"$F90FLAGS" == x ; then
4877   # Try to determine "good" native compiler flags if none specified on command
4878   # line
4879  
4880 < if test x"$F90FLAGS" == x ; then
4880 > if test x"$F90FLAGS" = x ; then
4881    F90FLAGS=""
4882    case "${host_cpu}-${host_os}" in
4883  
# Line 4187 | Line 4957 | ac_ext=c
4957          ac_guessed_f90flags=no
4958   fi
4959   rm -f conftest*
4960 < ac_ext=c
4961 < ac_cpp='$CPP $CPPFLAGS'
4962 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4963 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4194 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
4960 > ac_ext=f90
4961 > ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4962 > ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4963 > ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4964  
4965  
4966   fi
# Line 4457 | Line 5226 | test -n "$YACC" || YACC="yacc"
5226    test -n "$YACC" && break
5227   done
5228   test -n "$YACC" || YACC="yacc"
4460
5229  
5230   for ac_prog in flex lex
5231   do
# Line 4510 | Line 5278 | cat >conftest.$ac_ext <<_ACEOF
5278    ac_check_lib_save_LIBS=$LIBS
5279   LIBS="-lfl  $LIBS"
5280   cat >conftest.$ac_ext <<_ACEOF
4513 #line $LINENO "configure"
4514 /* confdefs.h.  */
4515 _ACEOF
4516 cat confdefs.h >>conftest.$ac_ext
4517 cat >>conftest.$ac_ext <<_ACEOF
4518 /* end confdefs.h.  */
5281  
5282 < /* Override any gcc2 internal prototype to avoid an error.  */
5283 < #ifdef __cplusplus
5284 < extern "C"
5285 < #endif
5286 < /* We use char because int might match the return type of a gcc2
4525 <   builtin and then its argument prototype would still apply.  */
4526 < char yywrap ();
4527 < int
4528 < main ()
4529 < {
4530 < yywrap ();
4531 <  ;
4532 <  return 0;
4533 < }
5282 > program main
5283 >
5284 > call yywrap
5285 > end program main
5286 >
5287   _ACEOF
5288   rm -f conftest.$ac_objext conftest$ac_exeext
5289   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 4567 | Line 5320 | cat >conftest.$ac_ext <<_ACEOF
5320    ac_check_lib_save_LIBS=$LIBS
5321   LIBS="-ll  $LIBS"
5322   cat >conftest.$ac_ext <<_ACEOF
4570 #line $LINENO "configure"
4571 /* confdefs.h.  */
4572 _ACEOF
4573 cat confdefs.h >>conftest.$ac_ext
4574 cat >>conftest.$ac_ext <<_ACEOF
4575 /* end confdefs.h.  */
5323  
5324 < /* Override any gcc2 internal prototype to avoid an error.  */
5325 < #ifdef __cplusplus
5326 < extern "C"
5327 < #endif
5328 < /* We use char because int might match the return type of a gcc2
4582 <   builtin and then its argument prototype would still apply.  */
4583 < char yywrap ();
4584 < int
4585 < main ()
4586 < {
4587 < yywrap ();
4588 <  ;
4589 <  return 0;
4590 < }
5324 > program main
5325 >
5326 > call yywrap
5327 > end program main
5328 >
5329   _ACEOF
5330   rm -f conftest.$ac_objext conftest$ac_exeext
5331   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 4797 | Line 5535 | fi
5535   fi
5536   rm -f confcache
5537    exit 1
4800 fi
4801
4802 ac_ext=f90
4803 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4804 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4805 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4806
4807
4808
4809 ac_ext=f90
4810 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4811 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4812 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4813 echo "$as_me:$LINENO: checking how to get verbose linking output from $F90" >&5
4814 echo $ECHO_N "checking how to get verbose linking output from $F90... $ECHO_C" >&6
4815 if test "${ac_cv_prog_f90_v+set}" = set; then
4816  echo $ECHO_N "(cached) $ECHO_C" >&6
4817 else
4818
4819 cat >conftest.$ac_ext <<_ACEOF
4820
4821 program main
4822
4823
4824 end program main
4825
4826 _ACEOF
4827 rm -f conftest.$ac_objext
4828 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4829  (eval $ac_compile) 2>&5
4830  ac_status=$?
4831  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4832  (exit $ac_status); } &&
4833         { ac_try='test -s conftest.$ac_objext'
4834  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4835  (eval $ac_try) 2>&5
4836  ac_status=$?
4837  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4838  (exit $ac_status); }; }; then
4839  ac_cv_prog_f90_v=
4840 # Try some options frequently used verbose output
4841 for ac_verb in -v -verbose --verbose -V -\#\#\#; do
4842  ac_ext=f90
4843 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4844 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4845 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4846
4847 cat >conftest.$ac_ext <<_ACEOF
4848
4849 program main
4850
4851
4852 end program main
4853
4854 _ACEOF
4855
4856 # Compile and link our simple test program by passing a flag (argument
4857 # 1 to this macro) to the Fortran 90 compiler in order to get
4858 # "verbose" output that we can then parse for the Fortran 90 linker
4859 # flags.
4860 ac_save_F90FLAGS=$F90FLAGS
4861 F90FLAGS="$F90FLAGS $ac_verb"
4862
4863 (eval echo $as_me:4863: \"$ac_link\") >&5
4864 ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4865 echo "$ac_f90_v_output" >&5
4866 F90FLAGS=$ac_save_F90FLAGS
4867
4868 rm -f conftest.*
4869 ac_ext=f90
4870 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4871 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4872 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4873
4874 # If we are using xlf then replace all the commas with spaces.
4875 if echo $ac_f90_v_output | grep xlfentry >/dev/null 2>&1; then
4876  ac_f90_v_output=`echo $ac_f90_v_output | sed 's/,/ /g'`
4877 fi
4878
4879 # If we are using Cray Fortran then delete quotes.
4880 # Use "\"" instead of '"' for font-lock-mode.
4881 # FIXME: a more general fix for quoted arguments with spaces?
4882 if echo $ac_f90_v_output | grep cft90 >/dev/null 2>&1; then
4883  ac_f90_v_output=`echo $ac_f90_v_output | sed "s/\"//g"`
4884 fi
4885  # look for -l* and *.a constructs in the output
4886  for ac_arg in $ac_f90_v_output; do
4887     case $ac_arg in
4888        [\\/]*.a | ?:[\\/]*.a | -[lLRu]*)
4889          ac_cv_prog_f90_v=$ac_verb
4890          break 2 ;;
4891     esac
4892  done
4893 done
4894 if test -z "$ac_cv_prog_f90_v"; then
4895   { echo "$as_me:$LINENO: WARNING: cannot determine how to obtain linking information from $F90" >&5
4896 echo "$as_me: WARNING: cannot determine how to obtain linking information from $F90" >&2;}
4897 fi
4898 else
4899  echo "$as_me: failed program was:" >&5
4900 sed 's/^/| /' conftest.$ac_ext >&5
4901
4902 { echo "$as_me:$LINENO: WARNING: compilation failed" >&5
4903 echo "$as_me: WARNING: compilation failed" >&2;}
4904 fi
4905 rm -f conftest.$ac_objext conftest.$ac_ext
4906
4907 fi
4908 echo "$as_me:$LINENO: result: $ac_cv_prog_f90_v" >&5
4909 echo "${ECHO_T}$ac_cv_prog_f90_v" >&6
4910 echo "$as_me:$LINENO: checking for Fortran 90 libraries" >&5
4911 echo $ECHO_N "checking for Fortran 90 libraries... $ECHO_C" >&6
4912 if test "${ac_cv_flibs+set}" = set; then
4913  echo $ECHO_N "(cached) $ECHO_C" >&6
4914 else
4915  if test "x$F90LIBS" != "x"; then
4916  ac_cv_f90libs="$F90LIBS" # Let the user override the test.
4917 else
4918
4919 ac_ext=f90
4920 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4921 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4922 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4923
4924 cat >conftest.$ac_ext <<_ACEOF
4925
4926 program main
4927
4928
4929 end program main
4930
4931 _ACEOF
4932
4933 # Compile and link our simple test program by passing a flag (argument
4934 # 1 to this macro) to the Fortran 90 compiler in order to get
4935 # "verbose" output that we can then parse for the Fortran 90 linker
4936 # flags.
4937 ac_save_F90FLAGS=$F90FLAGS
4938 F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
4939
4940 (eval echo $as_me:4940: \"$ac_link\") >&5
4941 ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4942 echo "$ac_f90_v_output" >&5
4943 F90FLAGS=$ac_save_F90FLAGS
4944
4945 rm -f conftest.*
4946 ac_ext=f90
4947 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4948 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4949 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4950
4951 # If we are using xlf then replace all the commas with spaces.
4952 if echo $ac_f90_v_output | grep xlfentry >/dev/null 2>&1; then
4953  ac_f90_v_output=`echo $ac_f90_v_output | sed 's/,/ /g'`
4954 fi
4955
4956 # If we are using Cray Fortran then delete quotes.
4957 # Use "\"" instead of '"' for font-lock-mode.
4958 # FIXME: a more general fix for quoted arguments with spaces?
4959 if echo $ac_f90_v_output | grep cft90 >/dev/null 2>&1; then
4960  ac_f90_v_output=`echo $ac_f90_v_output | sed "s/\"//g"`
4961 fi
4962
4963 ac_cv_f90libs=
4964
4965 # Save positional arguments (if any)
4966 ac_save_positional="$@"
4967
4968 set X $ac_f90_v_output
4969 while test $# != 1; do
4970  shift
4971  ac_arg=$1
4972  case $ac_arg in
4973        [\\/]*.a | ?:[\\/]*.a)
4974            ac_exists=false
4975  for ac_i in $ac_cv_f90libs; do
4976    if test x"$ac_arg" = x"$ac_i"; then
4977      ac_exists=true
4978      break
4979    fi
4980  done
4981
4982  if test x"$ac_exists" = xtrue; then
4983  :
4984 else
4985  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
4986 fi
4987
4988          ;;
4989        -bI:*)
4990            ac_exists=false
4991  for ac_i in $ac_cv_f90libs; do
4992    if test x"$ac_arg" = x"$ac_i"; then
4993      ac_exists=true
4994      break
4995    fi
4996  done
4997
4998  if test x"$ac_exists" = xtrue; then
4999  :
5000 else
5001  if test "$ac_compiler_gnu" = yes; then
5002  for ac_link_opt in $ac_arg; do
5003    ac_cv_f90libs="$ac_cv_f90libs -Xlinker $ac_link_opt"
5004  done
5005 else
5006  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
5007 fi
5008 fi
5009
5010          ;;
5011          # Ignore these flags.
5012        -lang* | -lcrt0.o | -lc | -lgcc | -LANG:=*)
5013          ;;
5014        -lkernel32)
5015          test x"$CYGWIN" != xyes && ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
5016          ;;
5017        -[LRuY])
5018          # These flags, when seen by themselves, take an argument.
5019          # We remove the space between option and argument and re-iterate
5020          # unless we find an empty arg or a new option (starting with -)
5021          case $2 in
5022             "" | -*);;
5023             *)
5024                ac_arg="$ac_arg$2"
5025
5026                shift; shift
5027                set X $ac_arg "$@"
5028                ;;
5029          esac
5030          ;;
5031        -YP,*)
5032          for ac_j in `echo $ac_arg | sed -e 's/-YP,/-L/;s/:/ -L/g'`; do
5033              ac_exists=false
5034  for ac_i in $ac_cv_f90libs; do
5035    if test x"$ac_j" = x"$ac_i"; then
5036      ac_exists=true
5037      break
5038    fi
5039  done
5040
5041  if test x"$ac_exists" = xtrue; then
5042  :
5043 else
5044  ac_arg="$ac_arg $ac_j"
5045                             ac_cv_f90libs="$ac_cv_f90libs $ac_j"
5046 fi
5047
5048          done
5049          ;;
5050        -[lLR]*)
5051            ac_exists=false
5052  for ac_i in $ac_cv_f90libs; do
5053    if test x"$ac_arg" = x"$ac_i"; then
5054      ac_exists=true
5055      break
5056    fi
5057  done
5058
5059  if test x"$ac_exists" = xtrue; then
5060  :
5061 else
5062  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
5063 fi
5064
5065          ;;
5066          # Ignore everything else.
5067  esac
5068 done
5069 # restore positional arguments
5070 set X $ac_save_positional; shift
5071
5072 # We only consider "LD_RUN_PATH" on Solaris systems.  If this is seen,
5073 # then we insist that the "run path" must be an absolute path (i.e. it
5074 # must begin with a "/").
5075 case `(uname -sr) 2>/dev/null` in
5076   "SunOS 5"*)
5077      ac_ld_run_path=`echo $ac_f90_v_output |
5078                        sed -n 's,^.*LD_RUN_PATH *= *\(/[^ ]*\).*$,-R\1,p'`
5079      test "x$ac_ld_run_path" != x &&
5080
5081        if test "$ac_compiler_gnu" = yes; then
5082  for ac_link_opt in $ac_ld_run_path; do
5083    ac_cv_f90libs="$ac_cv_f90libs -Xlinker $ac_link_opt"
5084  done
5085 else
5086  ac_cv_f90libs="$ac_cv_f90libs $ac_ld_run_path"
5087 fi
5088      ;;
5089 esac
5090 fi # test "x$F90LIBS" = "x"
5091
5092 fi
5093 echo "$as_me:$LINENO: result: $ac_cv_flibs" >&5
5094 echo "${ECHO_T}$ac_cv_flibs" >&6
5095 F90LIBS="$ac_cv_f90libs"
5096
5097 ac_ext=f90
5098 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5099 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5100 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5101
5102 echo "$as_me:$LINENO: checking for Fortran 90 name-mangling scheme" >&5
5103 echo $ECHO_N "checking for Fortran 90 name-mangling scheme... $ECHO_C" >&6
5104 if test "${ac_cv_f90_mangling+set}" = set; then
5105  echo $ECHO_N "(cached) $ECHO_C" >&6
5106 else
5107  ac_ext=f90
5108 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5109 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5110 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5111 cat >conftest.$ac_ext <<_ACEOF
5112 subroutine foobar()
5113 return
5114 end
5115 subroutine foo_bar()
5116 return
5117 end
5118 _ACEOF
5119 rm -f conftest.$ac_objext
5120 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5121  (eval $ac_compile) 2>&5
5122  ac_status=$?
5123  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5124  (exit $ac_status); } &&
5125         { ac_try='test -s conftest.$ac_objext'
5126  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5127  (eval $ac_try) 2>&5
5128  ac_status=$?
5129  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5130  (exit $ac_status); }; }; then
5131  mv conftest.$ac_objext cf90_test.$ac_objext
5132
5133  ac_ext=c
5134 ac_cpp='$CPP $CPPFLAGS'
5135 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5136 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5137 ac_compiler_gnu=$ac_cv_c_compiler_gnu
5138
5139  ac_save_LIBS=$LIBS
5140  LIBS="cf90_test.$ac_objext $F90LIBS $LIBS"
5141
5142  ac_success=no
5143  for ac_foobar in foobar FOOBAR; do
5144    for ac_underscore in "" "_"; do
5145      ac_func="$ac_foobar$ac_underscore"
5146      cat >conftest.$ac_ext <<_ACEOF
5147 #line $LINENO "configure"
5148 /* confdefs.h.  */
5149 _ACEOF
5150 cat confdefs.h >>conftest.$ac_ext
5151 cat >>conftest.$ac_ext <<_ACEOF
5152 /* end confdefs.h.  */
5153
5154 /* Override any gcc2 internal prototype to avoid an error.  */
5155 #ifdef __cplusplus
5156 extern "C"
5157 #endif
5158 /* We use char because int might match the return type of a gcc2
5159   builtin and then its argument prototype would still apply.  */
5160 char $ac_func ();
5161 int
5162 main ()
5163 {
5164 $ac_func ();
5165  ;
5166  return 0;
5167 }
5168 _ACEOF
5169 rm -f conftest.$ac_objext conftest$ac_exeext
5170 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5171  (eval $ac_link) 2>&5
5172  ac_status=$?
5173  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5174  (exit $ac_status); } &&
5175         { ac_try='test -s conftest$ac_exeext'
5176  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5177  (eval $ac_try) 2>&5
5178  ac_status=$?
5179  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5180  (exit $ac_status); }; }; then
5181  ac_success=yes; break 2
5182 else
5183  echo "$as_me: failed program was:" >&5
5184 sed 's/^/| /' conftest.$ac_ext >&5
5185
5186 fi
5187 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5188    done
5189  done
5190
5191  if test "$ac_success" = "yes"; then
5192     case $ac_foobar in
5193        foobar)
5194           ac_case=lower
5195           ac_foo_bar=foo_bar
5196           ;;
5197        FOOBAR)
5198           ac_case=upper
5199           ac_foo_bar=FOO_BAR
5200           ;;
5201     esac
5202
5203     ac_success_extra=no
5204     for ac_extra in "" "_"; do
5205        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
5206
5207        cat >conftest.$ac_ext <<_ACEOF
5208 #line $LINENO "configure"
5209 /* confdefs.h.  */
5210 _ACEOF
5211 cat confdefs.h >>conftest.$ac_ext
5212 cat >>conftest.$ac_ext <<_ACEOF
5213 /* end confdefs.h.  */
5214
5215 /* Override any gcc2 internal prototype to avoid an error.  */
5216 #ifdef __cplusplus
5217 extern "C"
5218 #endif
5219 /* We use char because int might match the return type of a gcc2
5220   builtin and then its argument prototype would still apply.  */
5221 char $ac_func ();
5222 int
5223 main ()
5224 {
5225 $ac_func ();
5226  ;
5227  return 0;
5228 }
5229 _ACEOF
5230 rm -f conftest.$ac_objext conftest$ac_exeext
5231 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5232  (eval $ac_link) 2>&5
5233  ac_status=$?
5234  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5235  (exit $ac_status); } &&
5236         { ac_try='test -s conftest$ac_exeext'
5237  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5238  (eval $ac_try) 2>&5
5239  ac_status=$?
5240  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5241  (exit $ac_status); }; }; then
5242  ac_success_extra=yes; break
5243 else
5244  echo "$as_me: failed program was:" >&5
5245 sed 's/^/| /' conftest.$ac_ext >&5
5246
5538   fi
5248 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5249     done
5539  
5251     if test "$ac_success_extra" = "yes"; then
5252        ac_cv_f90_mangling="$ac_case case"
5253        if test -z "$ac_underscore"; then
5254           ac_cv_f90_mangling="$ac_cv_f90_mangling, no underscore"
5255        else
5256           ac_cv_f90_mangling="$ac_cv_f90_mangling, underscore"
5257
5258        fi
5259        if test -z "$ac_extra"; then
5260           ac_cv_f90_mangling="$ac_cv_f90_mangling, no extra underscore"
5261        else
5262           ac_cv_f90_mangling="$ac_cv_f90_mangling, extra underscore"
5263        fi
5264      else
5265        ac_cv_f90_mangling="unknown"
5266      fi
5267  else
5268     ac_cv_f90_mangling="unknown"
5269
5270  fi
5271
5272  LIBS=$ac_save_LIBS
5273  ac_ext=f90
5274 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5275 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5276 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5277  rm -f cf90_test* conftest*
5278 else
5279  echo "$as_me: failed program was:" >&5
5280 sed 's/^/| /' conftest.$ac_ext >&5
5281
5282 fi
5283 rm -f conftest.$ac_objext conftest.$ac_ext
5284 ac_ext=f90
5285 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5286 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5287 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5288
5289 fi
5290 echo "$as_me:$LINENO: result: $ac_cv_f90_mangling" >&5
5291 echo "${ECHO_T}$ac_cv_f90_mangling" >&6
5292
5293
5294
5295 case $ac_cv_f90_mangling in
5296  "lower case, no underscore, no extra underscore")
5297          cat >>confdefs.h <<\_ACEOF
5298 #define F90_FUNC(name,NAME) name
5299 _ACEOF
5300
5301          cat >>confdefs.h <<\_ACEOF
5302 #define F90_FUNC_(name,NAME) name
5303 _ACEOF
5304 ;;
5305  "lower case, no underscore, extra underscore")
5306          cat >>confdefs.h <<\_ACEOF
5307 #define F90_FUNC(name,NAME) name
5308 _ACEOF
5309
5310          cat >>confdefs.h <<\_ACEOF
5311 #define F90_FUNC_(name,NAME) name ## _
5312 _ACEOF
5313 ;;
5314  "lower case, underscore, no extra underscore")
5315          cat >>confdefs.h <<\_ACEOF
5316 #define F90_FUNC(name,NAME) name ## _
5317 _ACEOF
5318
5319          cat >>confdefs.h <<\_ACEOF
5320 #define F90_FUNC_(name,NAME) name ## _
5321 _ACEOF
5322 ;;
5323  "lower case, underscore, extra underscore")
5324          cat >>confdefs.h <<\_ACEOF
5325 #define F90_FUNC(name,NAME) name ## _
5326 _ACEOF
5327
5328          cat >>confdefs.h <<\_ACEOF
5329 #define F90_FUNC_(name,NAME) name ## __
5330 _ACEOF
5331 ;;
5332  "upper case, no underscore, no extra underscore")
5333          cat >>confdefs.h <<\_ACEOF
5334 #define F90_FUNC(name,NAME) NAME
5335 _ACEOF
5336
5337          cat >>confdefs.h <<\_ACEOF
5338 #define F90_FUNC_(name,NAME) NAME
5339 _ACEOF
5340 ;;
5341  "upper case, no underscore, extra underscore")
5342          cat >>confdefs.h <<\_ACEOF
5343 #define F90_FUNC(name,NAME) NAME
5344 _ACEOF
5345
5346          cat >>confdefs.h <<\_ACEOF
5347 #define F90_FUNC_(name,NAME) NAME ## _
5348 _ACEOF
5349 ;;
5350  "upper case, underscore, no extra underscore")
5351          cat >>confdefs.h <<\_ACEOF
5352 #define F90_FUNC(name,NAME) NAME ## _
5353 _ACEOF
5354
5355          cat >>confdefs.h <<\_ACEOF
5356 #define F90_FUNC_(name,NAME) NAME ## _
5357 _ACEOF
5358 ;;
5359  "upper case, underscore, extra underscore")
5360          cat >>confdefs.h <<\_ACEOF
5361 #define F90_FUNC(name,NAME) NAME ## _
5362 _ACEOF
5363
5364          cat >>confdefs.h <<\_ACEOF
5365 #define F90_FUNC_(name,NAME) NAME ## __
5366 _ACEOF
5367 ;;
5368  *)
5369          { echo "$as_me:$LINENO: WARNING: unknown Fortran 90 name-mangling scheme" >&5
5370 echo "$as_me: WARNING: unknown Fortran 90 name-mangling scheme" >&2;}
5371          ;;
5372 esac
5373
5374
5375
5376
5540   echo "$as_me:$LINENO: checking for mpi-directory" >&5
5541   echo $ECHO_N "checking for mpi-directory... $ECHO_C" >&6
5542  
# Line 6686 | Line 6849 | fi;
6849  
6850  
6851  
6852 +
6853   # Check whether --with-mpi_f90_mods or --without-mpi_f90_mods was given.
6854   if test "${with_mpi_f90_mods+set}" = set; then
6855    withval="$with_mpi_f90_mods"
# Line 6704 | Line 6868 | ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6868   ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6869  
6870    ac_save_F90FLAGS=$F90FLAGS
6871 +
6872    if test "$mpi_f90_mods"; then
6873 <  F90FLAGS="${F90FLAGS} -I${mpi_f90_mods}"
6873 >  F90FLAGS="${F90FLAGS} ${MODDIRFLAG}${mpi_f90_mods}"
6874   fi
6875  
6876      cat >conftest.$ac_ext <<_ACEOF
# Line 6757 | Line 6922 | _ACEOF
6922   #define MPI_MOD 1
6923   _ACEOF
6924  
6925 <    MPI_F90_MODS="-I${mpi_f90_mods}"
6925 >    MPI_F90_MODS="${mpi_f90_mods}"
6926  
6927      # The library name:
6928      if test -z "$MPI_LIB" ; then
# Line 6816 | Line 6981 | case $debug in
6981  
6982   case $debug in
6983    1)
6819     CFLAGS="$DEBUG $CFLAGS"
6820     CXXFLAGS="$DEBUG $CXXFLAGS"
6984       FFLAGS="$DEBUG $FFLAGS"
6985       F90FLAGS="$DEBUG $F90FLAGS"
6986       ;;
# Line 7490 | Line 7653 | s,@F90@,$F90,;t t
7653   s,@CXX@,$CXX,;t t
7654   s,@CXXFLAGS@,$CXXFLAGS,;t t
7655   s,@ac_ct_CXX@,$ac_ct_CXX,;t t
7656 + s,@OOPSE_TEMPLATE_FLAGS@,$OOPSE_TEMPLATE_FLAGS,;t t
7657 + s,@EXTRA_CC_FLAG@,$EXTRA_CC_FLAG,;t t
7658   s,@F90@,$F90,;t t
7659   s,@F90FLAGS@,$F90FLAGS,;t t
7660   s,@ac_ct_F90@,$ac_ct_F90,;t t
7661   s,@PREPFLAG@,$PREPFLAG,;t t
7662   s,@PREPDEFFLAG@,$PREPDEFFLAG,;t t
7663 + s,@F90LIBS@,$F90LIBS,;t t
7664 + s,@F90_FUNC@,$F90_FUNC,;t t
7665 + s,@F90_FUNC_@,$F90_FUNC_,;t t
7666 + s,@MOD@,$MOD,;t t
7667 + s,@F90_WORK_FILES_ARG@,$F90_WORK_FILES_ARG,;t t
7668 + s,@MODDIRFLAG@,$MODDIRFLAG,;t t
7669 + s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
7670   s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
7671   s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
7672   s,@INSTALL_DATA@,$INSTALL_DATA,;t t
# Line 7507 | Line 7679 | s,@F90LIBS@,$F90LIBS,;t t
7679   s,@LEXLIB@,$LEXLIB,;t t
7680   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
7681   s,@AR@,$AR,;t t
7510 s,@F90LIBS@,$F90LIBS,;t t
7511 s,@F90_FUNC@,$F90_FUNC,;t t
7512 s,@F90_FUNC_@,$F90_FUNC_,;t t
7682   s,@mpi_dir@,$mpi_dir,;t t
7683   s,@MPI_LIBDIR@,$MPI_LIBDIR,;t t
7684   s,@MPI_INC@,$MPI_INC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines